Public Member Functions | Package Functions

# BinNavi.API.disassembly.IGroupNodeListener Interface Reference

Used to listen on group nodes. More...

Inheritance diagram for BinNavi.API.disassembly.IGroupNodeListener:

List of all members.

## Public Member Functions
void | changedState (GroupNode groupNode, boolean collapsed)
| Signals changing collapse states.
void | changedText (GroupNode groupNode, String text)
| Signals changing group node texts.
void | removedNode (GroupNode groupNode, ViewNode node)
| Signals that a node was removed from the group node.
## Package Functions
void | addedNode (GroupNode groupNode, ViewNode node)
| Signals a new node in the group node.

## Detailed Description

Interface that can be implemented by objects that want to be notified about changes in GroupNode objects.

## Member Function Documentation

void BinNavi.API.disassembly.IGroupNodeListener.addedNode | ( | GroupNode | groupNode,
|  | ViewNode | node |
| ) |  |  | `[package]`

Invoked after a new node was added to the group node.

Parameters:

  | groupNode | The group node that was extended.
  | node | The node that was added to the group node.

void BinNavi.API.disassembly.IGroupNodeListener.changedState | ( | GroupNode | groupNode,
|  | boolean | collapsed |
| ) |  |  |

Invoked after the collapse state of the group node changed.

Parameters:

  | groupNode | The group node that was collapsed or uncollapsed.
  | collapsed | True, if the node is now collapsed. False, if it is expanded.

void BinNavi.API.disassembly.IGroupNodeListener.changedText | ( | GroupNode | groupNode,
|  | String | text |
| ) |  |  |

Invoked after the text displayed in the group node changed.

Parameters:

  | groupNode | The group node whose text changed.
  | text | The new text displayed in the group node.

void BinNavi.API.disassembly.IGroupNodeListener.removedNode | ( | GroupNode | groupNode,
|  | ViewNode | node |
| ) |  |  |

Invoked after a node was removed from the group node.

Parameters:

  | groupNode | The group node from where the node was removed.
  | node | The node that was removed from the group node..